unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Outlook2000, adxxlFormsManager, StdCtrls;

type
  TadxExcelTaskPane1 = class(TadxExcelTaskPane)
    Button1: TButton;
    procedure adxExcelTaskPaneADXBeforeTaskPaneShow(ASender: TObject;
      Args: TadxBeforeTaskPaneShowEventArgs);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  protected
    { Protected declarations }
  public
    { Public declarations }
  published
    { Published declarations }
  end;

{NOTE: The adxExcelTaskPane1 variable is intended for the exclusive use
       by the TadxXlFormsCollectionItem Designer.
       NEVER use this variable for other purposes.}
var
  adxExcelTaskPane1 : TadxExcelTaskPane1;

implementation

uses VisibilityAETPD7_IMPL, uUtils;

{$R *.DFM}

procedure TadxExcelTaskPane1.adxExcelTaskPaneADXBeforeTaskPaneShow(
  ASender: TObject; Args: TadxBeforeTaskPaneShowEventArgs);
var
  WillShow: boolean;
begin
  if ((Self.AddinModule as TAddinModule).ShowByButtonClick) then begin
    WillShow := true;
  end
  else begin
    WillShow := MessageDlg(Strings.DoYouWantShowTaskPane(), mtConfirmation, [mbYes, mbNo], 0) = mrYes;
  end;
  self.Visible := WillShow;
end;

procedure TadxExcelTaskPane1.Button1Click(Sender: TObject);
begin
  Self.Hide;
  (Self.AddinModule as TAddinModule).UpdateButton();
end;

initialization
  RegisterClass(TPersistentClass(TadxExcelTaskPane1));

finalization
end.
